diff -uNrd -x CVS ircd-hybrid-7rc5/doc/example.conf ircd-hybrid-7-bg/doc/example.conf
--- ircd-hybrid-7rc5/doc/example.conf	Wed Oct 30 12:44:51 2002
+++ ircd-hybrid-7-bg/doc/example.conf	Sat May 24 23:27:08 2003
@@ -3,7 +3,7 @@
  *
  * Written by ejb, wcampbel, db, leeh and others
  *
- * $Id: example.conf,v 7.169 2002/10/30 17:44:51 wiz Exp $
+ * $Id: example.conf,v 1.4 2003/05/24 00:07:44 demond Exp $
  */
 
 /* IMPORTANT NOTES:
@@ -23,22 +23,22 @@
  *
  * Times/durations are written as:
  *        12 hours 30 minutes 1 second
- *        
+ *
  * Valid units of time:
  *        month, week, day, hour, minute, second
  *
  * Valid units of size:
  *        megabyte/mbyte/mb, kilobyte/kbyte/kb, byte
  *
- * Sizes and times may be singular or plural.  
- */ 
+ * Sizes and times may be singular or plural.
+ */
 
 /* EFNET NOTE:
- * 
+ *
  * This config file is NOT suitable for EFNet.  EFNet admins should use
  * example.efnet.conf
  */
- 
+
  /* serverinfo {}:  Contains information about the server. (OLD M:) */
 serverinfo {
 	/* name: the name of our server */
@@ -60,6 +60,12 @@
 	 * LazyLink servers.
 	 */
 	hub = no;
+	
+	/* gateway: this server will prefix all nicks coming from servers
+	 * described in clusters{} block with the appropriate token
+	 *												-demond
+	 */
+	gateway = no;
 
 	/* vhost: the IP to bind to when we connect outward to ipv4 servers.
 	 * This should be an ipv4 IP only.
@@ -78,7 +84,7 @@
 	 *
 	 * Example command to store a 2048 bit RSA keypair in
 	 * rsa.key, and the public key in rsa.pub:
-	 * 
+	 *
 	 * 	openssl genrsa -out rsa.key 2048
 	 *	openssl rsa -in rsa.key -pubout -out rsa.pub
 	 *	chown <ircd-user>.<ircd.group> rsa.key rsa.pub
@@ -86,6 +92,20 @@
 	 *	chmod 0644 rsa.pub
 	 */
 	#rsa_private_key_file = "/usr/local/ircd/etc/rsa.key";
+	
+	/* SSL certificate file, used for client SSL connections
+	 *
+	 * Assuming your private RSA key is stored in rsa.key, you
+	 * must first create a certificate request, then sign it:
+	 *
+	 *  openssl req -new -key rsa.key -out cert.csr
+	 *  openssl x509 -req -in cert.csr -extensions v3_ca \
+	 *   -signkey rsa.key -out cert.pem -trustout
+	 *												-demond
+     *
+     * (see http://www.openssl.org//docs/HOWTO/certificates.txt)
+	 */
+	#ssl_certificate_file = "/usr/local/ircd/etc/cert.pem";
 };
 
 /* admin {}: contains admin information about the server. (OLD A:) */
@@ -166,23 +186,28 @@
 	 *
 	 * ports are seperated via a comma, a range may be specified using ".."
 	 */
-	
+
 	/* port: listen on all available IPs, ports 6665 to 6669 */
 	port = 6665 .. 6669;
+	
+	/* sslport: listen for client SSL connections ONLY!
+	 *											-demond
+	 */
+	sslport = 8181;
 
-	/* host: set a specific IP/host the ports after the line will listen 
+	/* host: set a specific IP/host the ports after the line will listen
 	 * on.  This may be ipv4 or ipv6.
 	 */
 	host = "1.2.3.4";
 	port = 7000, 7001;
 
 	host = "3ffe:1234:a:b:c::d";
-        port = 7002;
+    port = 7002;
 };
 
 /* auth {}: allow users to connect to the ircd (OLD I:) */
 auth {
-	/* user: the user@host allowed to connect.  multiple IPv4/IPv6 user 
+	/* user: the user@host allowed to connect.  multiple IPv4/IPv6 user
 	 * lines are permitted per auth block.
 	 */
 	user = "*@172.16.0.0/12";
@@ -190,7 +215,7 @@
 
 	/* password: an optional password that is required to use this block */
 	password = "letmein";
-	
+
 	/* spoof: fake the users host to be be this.  This is free-form,
 	 * just do everyone a favour and dont abuse it. (OLD I: = flag)
 	 */
@@ -210,9 +235,15 @@
 
 	/* no tilde: remove ~ from a user with no ident (OLD I: - flag) */
 	no_tilde = yes;
-	
+
 	/* class: the class the user is placed in */
 	class = "opers";
+
+	/* this will cause auth block matching
+	 * to continue if the password supplied
+	 * is incorrect               -demond
+	 */
+	skip_on_fail = yes;
 };
 
 auth {
@@ -222,7 +253,7 @@
 	 */
 	redirserv = "irc.fi";
 	redirport = 6667;
-	
+
 	user = "*.fi";
 
 	/* class: a class is required even though it is not used */
@@ -232,12 +263,17 @@
 auth {
 	user = "*@*";
 	class = "users";
-	
+
 	/* restricted: stop the client sending mode changes */
 	#restricted = yes;
 
 	/* have ident: require the user has identd to connect (OLD I: + flag) */
 	have_ident = yes;
+
+	/* this will cloak client host
+	 *                   -demond
+	 */
+	maskhost = yes;
 };
 
 /* operator {}: defines ircd operators. (OLD O:)
@@ -260,7 +296,7 @@
 	password = "etcnjl8juSU1E";
 
 	/* rsa key: the public key for this oper when using Challenge.
-	 * A password should not be defined when this is used, see 
+	 * A password should not be defined when this is used, see
 	 * doc/challenge.txt for more information.
 	 */
 	#rsa_public_key_file = "/usr/local/ircd/etc/oper.pub";
@@ -268,7 +304,7 @@
 	/* class: the class the oper joins when they successfully /oper */
 	class = "opers";
 
-	/* privileges: controls the activities and commands an oper are 
+	/* privileges: controls the activities and commands an oper are
 	 * allowed to do on the server.  All options default to no.
 	 * Available options:
 	 *
@@ -337,13 +373,13 @@
 	 * dependent on class limits.
 	 */
 	autoconn = yes;
-	
+
 	/* compressed: controls whether traffic is compressed via ziplinks.
 	 * By default this is disabled
 	 */
 	#compressed = yes;
 
-	/* lazylink: controls whether this server is a LazyLink.  LazyLink 
+	/* lazylink: controls whether this server is a LazyLink.  LazyLink
 	 * servers may NOT hub.  see doc/LazyLinks.as.implemented.txt
 	 */
 	#lazylink = yes;
@@ -370,12 +406,12 @@
 	/* cipher preference: set the preferred cipher for this link
 	 *
 	 * Available ciphers are:
-	 *      BF/256 BF/128 CAST/128 IDEA/128 RC5.16/128 
+	 *      BF/256 BF/128 CAST/128 IDEA/128 RC5.16/128
 	 *      RC5.12/128 RC5.8/128 3DES/168 DES/56
 	 *
 	 * NOTE:  Some ciphers may not be supported by your OpenSSL.
 	 *        Check the output from 'configure' for available ciphers.
-	 * 
+	 *
 	 * NOTE2: To help you decide what cipher to use, tools/encspeed
 	 *        will show you approximately how fast each cipher is.
 	 *        However, blowfish is fast and secure, and is probably
@@ -490,11 +526,21 @@
 	 */
 	use_except = yes;
 
-        /* halfops: Enable/disable channel mode "+h <nick>", this allows
+	/* subst: Enable/disable channel mode +w, word substitution list
+	 * (pairs of find-and-replace-with phrases)		-demond
+	 */
+	use_subst = yes;
+
+	/* denies: Enable/disable channel mode +d, extended gecos bans
+	 * (also matching channel name patterns)		-demond
+	 */
+	use_denies = yes;
+
+    /* halfops: Enable/disable channel mode "+h <nick>", this allows
 	 * users to perform all channel functions except +/-o and kick
 	 * opped users.
 	 */
-        use_halfops = yes;
+    use_halfops = yes;
 
 	/* anonops: Enable/disable channel mode +a.  This hides the people
 	 * who are opped in the channel from people who are unopped.
@@ -505,12 +551,12 @@
 	 */
 	use_anonops = no;
 
-        /* vchans: permit virtual channels, multiple copies of the same
+    /* vchans: permit virtual channels, multiple copies of the same
 	 * channel name.  read doc/vchans.txt for more details
 	 *
 	 * We advise against using this on production networks
-         */
-        use_vchans = yes;
+     */
+    use_vchans = yes;
 
 	/* vchans oper only: only allow opers to create vchans via /cjoin */
 	vchans_oper_only = yes;
@@ -540,12 +586,12 @@
         /* max bans: maximum number of +b/e/I modes in a channel */
         max_bans = 25;
 
-        /* splitcode: the ircd will check every 60s as to whether splitmode
+    /* splitcode: the ircd will check every 60s as to whether splitmode
 	 * should be disabled or not, so there may be a delay between a
 	 * netsplit ending and splitmode ending.
 	 *
 	 * both split users and split servers must be true to enter splitmode
-	 * 
+	 *
 	 * you may force splitmode to be permanent by /quote set splitmode on
 	 */
 
@@ -569,7 +615,6 @@
 	oper_pass_resv = yes;
 };
 
-
 /* The serverhide block contains the options regarding serverhiding */
 serverhide {
 	/* flatten links: this option will show all servers in /links appear
@@ -618,7 +663,7 @@
 	 */
         default_floodcount = 10;
 
-	/* failed oper notice: send a notice to all opers on the server when 
+	/* failed oper notice: send a notice to all opers on the server when
 	 * someone tries to OPER and uses the wrong password, host or ident.
 	 */
 	failed_oper_notice = yes;
@@ -628,12 +673,12 @@
 	 */
 	dots_in_ident=2;
 
-	/* dot in ipv6: ircd-hybrid-6.0 and earlier will disallow hosts 
+	/* dot in ipv6: ircd-hybrid-6.0 and earlier will disallow hosts
 	 * without a '.' in them.  this will add one to the end.  only needed
 	 * for older servers.
 	 */
         dot_in_ip6_addr = yes;
-        
+
         /* min nonwildcard: the minimum non wildcard characters in k/d/g lines
 	 * placed via the server.  klines hand placed are exempt from limits.
 	 * wildcard chars: '.' '*' '?' '@'
@@ -665,7 +710,7 @@
 	/* client exit: prepend a users quit message with "Client exit: " */
 	client_exit = yes;
 
-	/* kline reason: show the user the reason why they are k/d/glined 
+	/* kline reason: show the user the reason why they are k/d/glined
 	 * on exit.  may give away who set k/dline when set via tcm.
 	 */
 	kline_with_reason = yes;
@@ -679,7 +724,7 @@
 	non_redundant_klines = yes;
 
 	/* warn no nline: warn opers about servers that try to connect but
-	 * we dont have a connect {} block for.  Twits with misconfigured 
+	 * we dont have a connect {} block for.  Twits with misconfigured
 	 * servers can get really annoying with this enabled.
 	 */
 	warn_no_nline = yes;
@@ -703,7 +748,7 @@
 	 *     no:     show users all auth blocks.
 	 */
 	stats_k_oper_only=masked;
-                                    
+
 	/* caller id wait: time between notifying a +g user that somebody
 	 * is messaging them.
 	 */
@@ -755,7 +800,7 @@
 
 	/* REMOVE ME.  The following line checks you've been reading. */
 	havent_read_conf = 1;
-	
+
 	/* logfiles: the logfiles to use for user connects, /oper uses,
 	 * and failed /oper.  These files must exist for logging to be used.
 	 */
@@ -763,7 +808,7 @@
 	fname_operlog = "logs/operlog";
 	fname_foperlog = "logs/foperlog";
 
-	/* max targets: the maximum amount of targets in a single 
+	/* max targets: the maximum amount of targets in a single
 	 * PRIVMSG/NOTICE.  set to 999 NOT 0 for unlimited.
 	 */
 	max_targets = 4;
@@ -796,7 +841,7 @@
 	 * +d - debug      - See debugging notices
 	 * +f - full       - See I: line full notices
 	 * +g - callerid   - Server Side Ignore
-	 * +i - invisible  - Not shown in NAMES or WHO unless you share a 
+	 * +i - invisible  - Not shown in NAMES or WHO unless you share a
 	 *                   a channel
 	 * +k - skill      - See server generated KILL messages
 	 * +l - locops     - See LOCOPS messages
@@ -808,11 +853,12 @@
 	 * +x - external   - See remote server connection and split notices
 	 * +y - spy        - See LINKS, STATS, TRACE notices etc.
 	 * +z - operwall   - See oper generated WALLOPS
+         * +q - rconn      - See remote client connections
 	 */
-	 
+
 	/* oper only umodes: usermodes only opers may set */
-	oper_only_umodes = bots, cconn, debug, full, skill, nchange, 
-                     rej, spy, external, operwall, locops, unauth;
+	oper_only_umodes = bots, cconn, debug, full, skill, nchange,
+                     rej, spy, external, operwall, locops, unauth, rconn;
 
 	/* oper umodes: default usermodes opers get when they /oper */
 	oper_umodes = locops, servnotice, operwall, wallop;
@@ -840,9 +886,8 @@
 	 */
 	#egdpool_path = "/var/run/egd-pool";
 
-
 	/* compression level: level of compression for compressed links between
-	 * servers.  
+	 * servers.
 	 *
 	 * values are between: 1 (least compression, fastest)
 	 *                and: 9 (most compression, slowest).
@@ -851,14 +896,56 @@
 
 	/* throttle time: the minimum amount of time between connections from
 	 * the same ip.  exempt {} blocks are excluded from this throttling.
-	 * Offers protection against flooders who reconnect quickly.  
+	 * Offers protection against flooders who reconnect quickly.
 	 * Set to 0 to disable.
 	 */
 	throttle_time = 10;
+
+	/* Network identification string, for host cloaking
+	 *                                       -demond
+         */
+	netid = "bnet";
+
+	/* Allow cyrillic (Windows-1251) in nicks & usernames
+	 *                                       -demond
+	 */
+	cyrillic = no;
+
+	/* Translate all sendto_channel() stuff to umode +T/+Y users
+         * (WARNING: this may take clients out of sync!)
+	 *                                       -demond
+	 */
+	totaltrans = no;
+
+	/* maximum time allowed for client to issue USERHOST, WHO or MODE
+	 * before we mark them as pottential trojan drone
+	 *                                       -demond
+	 */
+	grace_time = 10 seconds;
+
+	/* the following deals with drone detection/kline
+	 *                                       -demond
+	 */
+	drone_kline = yes;
+	drone_batch = yes;
+	drone_rate_max = 3;
+	drone_rate_period = 20 seconds;
+	drone_kline_time = 300 minutes;
+	drone_reason = "possible trojan drone";
+
+	/* anti-spam onjoin/onleave muting period
+	 *                                       -demond
+	 */
+	spam_wait = 5 seconds;
+
+	/* repeat buffers purge period, don't set too low
+	 *                                       -demond
+	 */
+	repeat_grace = 20 seconds;
 };
 
 modules {
-	/* module path: paths to search for modules specified below and 
+	/* module path: paths to search for modules specified below and
 	 * in /modload.
 	 */
 	path = "/usr/local/ircd/modules";
@@ -866,4 +953,52 @@
 
 	/* module: the name of a module to load on startup/rehash */
 	#module = "some_module.so";
+};
+
+/* This will determine which servers are to be treated specially,
+ * as services. We now use this for SVSNICK handling.
+ *                                           -demond
+ */
+services {
+	name = "services.ca";
+};
+
+/* This will make the nick redirection we need on IRC Bulgaria
+ *                                           -demond
+ */
+equivalent {
+	nicks = "NS/NickServ";
+	nicks = "CS/ChanServ";
+	nicks = "OS/OperServ";
+};
+
+/* Describe which (pseudo) servers are to be treated specially
+ *                                           -demond
+ */
+relays {
+	name = "unibg-r.bulgaria.org";
+	name = "dalnet-r.bulgaria.org";
+	name = "under-r.bulgaria.org";
+};
+
+/* Defines USER host & server parameters of several known clients
+ *                                           -demond
+ */
+userpar {
+        param = "host/server";
+        param = "localhost";
+        param = "./.";
+        param = "0/0";
+        param = "blah/blah";
+        param = "php/html2";
+};
+
+/* These are external gateways which have the nicks they supply to
+ * us prefixed with the token following the slash; this allows for
+ * building heterogenous clusters of IRC networks - yet another
+ * unique feature brought to you by:         -demond	
+ */
+clusters {
+		bridge = "gate.abcirc.com/!";
+		bridge = "gate.xyzirc.net/&";
 };
diff -uNrd -x CVS ircd-hybrid-7rc5/doc/example.efnet.conf ircd-hybrid-7-bg/doc/example.efnet.conf
--- ircd-hybrid-7rc5/doc/example.efnet.conf	Wed Oct 30 12:44:51 2002
+++ ircd-hybrid-7-bg/doc/example.efnet.conf	Mon Dec 30 23:07:24 2002
@@ -1,6 +1,6 @@
 /* doc/example.efnet.conf - ircd-hybrid-7 EFnet Example configuration file
  *
- * $Id: example.efnet.conf,v 7.9 2002/10/30 17:44:51 wiz Exp $
+ * $Id: example.efnet.conf,v 1.1.1.1 2002/12/31 04:07:24 demond Exp $
  */
 
 /* IMPORTANT NOTES:
diff -uNrd -x CVS ircd-hybrid-7rc5/doc/old/example_old.conf ircd-hybrid-7-bg/doc/old/example_old.conf
--- ircd-hybrid-7rc5/doc/old/example_old.conf	Fri Dec 22 22:32:23 2000
+++ ircd-hybrid-7-bg/doc/old/example_old.conf	Mon Dec 30 23:07:24 2002
@@ -2,7 +2,7 @@
 #   IRC - Internet Relay Chat, doc/example.conf
 #   Copyright (C) 1992, Bill Wisner
 #
-# $Id: example_old.conf,v 1.1 2000/12/23 03:32:23 db Exp $
+# $Id: example_old.conf,v 1.1.1.1 2002/12/31 04:07:24 demond Exp $
 #
 # Example of an old style ircd.conf file, which h7 will not parse
 # but is kept here for historical interest
diff -uNrd -x CVS ircd-hybrid-7rc5/doc/old/simple.conf ircd-hybrid-7-bg/doc/old/simple.conf
--- ircd-hybrid-7rc5/doc/old/simple.conf	Fri Dec 22 22:32:23 2000
+++ ircd-hybrid-7-bg/doc/old/simple.conf	Mon Dec 30 23:07:24 2002
@@ -1,7 +1,7 @@
 # IRC minimal example configuration file
 #
-# $Id: simple.conf,v 1.1 2000/12/23 03:32:23 db Exp $
-# $Id: simple.conf,v 1.1 2000/12/23 03:32:23 db Exp $
+# $Id: simple.conf,v 1.1.1.1 2002/12/31 04:07:24 demond Exp $
+# $Id: simple.conf,v 1.1.1.1 2002/12/31 04:07:24 demond Exp $
 # 
 # This is a basic ircd.conf that will get you up and running with
 # little or no modifications.  See the example.conf file for more
diff -uNrd -x CVS ircd-hybrid-7rc5/doc/server-version-info ircd-hybrid-7-bg/doc/server-version-info
--- ircd-hybrid-7rc5/doc/server-version-info	Sat Dec 15 00:10:41 2001
+++ ircd-hybrid-7-bg/doc/server-version-info	Mon Dec 30 23:07:24 2002
@@ -1,6 +1,6 @@
                               Server VERSION Info
 
-   $Id: server-version-info,v 7.13 2001/12/15 05:10:41 wcampbel Exp $
+   $Id: server-version-info,v 1.1.1.1 2002/12/31 04:07:24 demond Exp $
 
    Copyright (c) 2001 by ircd-hybrid team
 
diff -uNrd -x CVS ircd-hybrid-7rc5/doc/simple.conf ircd-hybrid-7-bg/doc/simple.conf
--- ircd-hybrid-7rc5/doc/simple.conf	Wed Jan 24 09:58:45 2001
+++ ircd-hybrid-7-bg/doc/simple.conf	Mon Dec 30 23:07:24 2002
@@ -1,6 +1,6 @@
 # Hybrid 7 minimal example configuration file
 #
-# $Id: simple.conf,v 7.6 2001/01/24 14:58:45 wcampbel Exp $
+# $Id: simple.conf,v 1.1.1.1 2002/12/31 04:07:24 demond Exp $
 #
 # This is a basic ircd.conf that will get your server running with
 # little modification.  See the example.conf for more specific 
diff -uNrd -x CVS ircd-hybrid-7rc5/help/opers/stats ircd-hybrid-7-bg/help/opers/stats
--- ircd-hybrid-7rc5/help/opers/stats	Tue Nov 20 20:41:05 2001
+++ ircd-hybrid-7-bg/help/opers/stats	Sat May 24 23:27:09 2003
@@ -8,6 +8,7 @@
 LETTER (* = Oper only.)
 ------ (^ = Can be configured to be oper only.)
 X A - Shows the ADNS DNS servers in use
+X b - Shows cluster bridges
 * c - Shows connect blocks
 * d - Shows D lines
 * e - Shows exemptions to D lines
@@ -26,13 +27,17 @@
   p - Shows opers connected and their idle times
 * q - Shows resv'd nicks and channels
 * r - Shows resource usage by ircd
+* R - Shows configured relay servers
 * s - Shows the server cache
+* S - Shows services blocks
 * t - Shows generic server stats
 * U - Shows shared blocks (Old U: lines)
   u - Shows server uptime
 * v - Shows connected servers and their idle times
 * x - Shows gecos bans (Old X: lines)
+* X - Shows recognized USER parameters
 * y - Shows Y lines
+* Y - Shows equivalent nicks
 * z - Shows memory stats
-* Z - Show ziplinks stats
+* Z - Shows ziplinks stats
 * ? - Shows connected servers and sendq info about them
diff -uNrd -x CVS ircd-hybrid-7rc5/help/opers/umode ircd-hybrid-7-bg/help/opers/umode
--- ircd-hybrid-7rc5/help/opers/umode	Tue Nov 20 20:41:05 2001
+++ ircd-hybrid-7-bg/help/opers/umode	Mon Mar 10 01:09:00 2003
@@ -23,3 +23,9 @@
        * +b     - Can see possible bot warnings.
        * +a     - Is marked as a server admin in whois.
          +g     - "caller id" mode only allow accept clients to message you
+         +T     - Cyrillic to latin character translation (Windows-1251)
+         +Y     - Cyrillic to latin character translation (ISO-8859-5)
+         +R     - Accept PRIVMSGs from registered nicks only
+         +S     - Accept PRIVMSGs from SSL-connected clients only
+         +e     - Show server numeric replies in alternative language
+       * +q     - Can see remote client connection notices
diff -uNrd -x CVS ircd-hybrid-7rc5/help/users/umode ircd-hybrid-7-bg/help/users/umode
--- ircd-hybrid-7rc5/help/users/umode	Tue Nov 20 22:22:51 2001
+++ ircd-hybrid-7-bg/help/users/umode	Mon Mar 10 01:09:00 2003
@@ -8,3 +8,8 @@
                   Use the /oper command to attain this.
          +i     - Designates this client 'invisible'.
          +g     - "caller id" mode only allow accept clients to message you
+         +T     - Cyrillic to latin character translation (Windows-1251)
+         +Y     - Cyrillic to latin character translation (ISO-8859-5)
+         +R     - Accept PRIVMSGs from registered nicks only
+         +S     - Accept PRIVMSGs from SSL-connected clients only
+         +e     - Show server numeric replies in alternative language
diff -uNrd -x CVS ircd-hybrid-7rc5/iauth/include/auth.h ircd-hybrid-7-bg/iauth/include/auth.h
--- ircd-hybrid-7rc5/iauth/include/auth.h	Tue Jan  4 19:20:01 2000
+++ ircd-hybrid-7-bg/iauth/include/auth.h	Mon Dec 30 23:07:25 2002
@@ -15,7 +15,7 @@
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- *   $Id: auth.h,v 7.5 2000/01/05 00:20:01 wnder Exp $
+ *   $Id: auth.h,v 1.1.1.1 2002/12/31 04:07:25 demond Exp $
  */
 
 #ifndef INCLUDED_auth_h
diff -uNrd -x CVS ircd-hybrid-7rc5/iauth/include/class.h ircd-hybrid-7-bg/iauth/include/class.h
--- ircd-hybrid-7rc5/iauth/include/class.h	Tue Jan  4 19:20:02 2000
+++ ircd-hybrid-7-bg/iauth/include/class.h	Mon Dec 30 23:07:25 2002
@@ -15,7 +15,7 @@
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- *   $Id: class.h,v 7.2 2000/01/05 00:20:02 wnder Exp $
+ *   $Id: class.h,v 1.1.1.1 2002/12/31 04:07:25 demond Exp $
  */
 
 #ifndef INCLUDED_class_h
diff -uNrd -x CVS ircd-hybrid-7rc5/iauth/include/commands.h ircd-hybrid-7-bg/iauth/include/commands.h
--- ircd-hybrid-7rc5/iauth/include/commands.h	Tue Jan  4 19:20:02 2000
+++ ircd-hybrid-7-bg/iauth/include/commands.h	Mon Dec 30 23:07:25 2002
@@ -15,7 +15,7 @@
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- *   $Id: commands.h,v 7.2 2000/01/05 00:20:02 wnder Exp $
+ *   $Id: commands.h,v 1.1.1.1 2002/12/31 04:07:25 demond Exp $
  */
 
 #ifndef INCLUDED_commands_h
diff -uNrd -x CVS ircd-hybrid-7rc5/iauth/include/conf.h ircd-hybrid-7-bg/iauth/include/conf.h
--- ircd-hybrid-7rc5/iauth/include/conf.h	Tue Jan  4 19:20:02 2000
+++ ircd-hybrid-7-bg/iauth/include/conf.h	Mon Dec 30 23:07:25 2002
@@ -15,7 +15,7 @@
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- *   $Id: conf.h,v 7.4 2000/01/05 00:20:02 wnder Exp $
+ *   $Id: conf.h,v 1.1.1.1 2002/12/31 04:07:25 demond Exp $
  */
 
 #ifndef INCLUDED_conf_h
diff -uNrd -x CVS ircd-hybrid-7rc5/iauth/include/iauth.h ircd-hybrid-7-bg/iauth/include/iauth.h
--- ircd-hybrid-7rc5/iauth/include/iauth.h	Sun Dec 17 21:01:39 2000
+++ ircd-hybrid-7-bg/iauth/include/iauth.h	Mon Dec 30 23:07:25 2002
@@ -15,7 +15,7 @@
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- *   $Id: iauth.h,v 7.5 2000/12/18 02:01:39 cosine Exp $
+ *   $Id: iauth.h,v 1.1.1.1 2002/12/31 04:07:25 demond Exp $
  */
 
 #ifndef INCLUDED_iauth_h
diff -uNrd -x CVS ircd-hybrid-7rc5/iauth/include/log.h ircd-hybrid-7-bg/iauth/include/log.h
--- ircd-hybrid-7rc5/iauth/include/log.h	Sun Dec 17 21:01:39 2000
+++ ircd-hybrid-7-bg/iauth/include/log.h	Mon Dec 30 23:07:25 2002
@@ -15,7 +15,7 @@
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- *   $Id: log.h,v 7.1 2000/12/18 02:01:39 cosine Exp $
+ *   $Id: log.h,v 1.1.1.1 2002/12/31 04:07:25 demond Exp $
  */
 
 #ifndef INCLUDED_log_h
diff -uNrd -x CVS ircd-hybrid-7rc5/iauth/include/match.h ircd-hybrid-7-bg/iauth/include/match.h
--- ircd-hybrid-7rc5/iauth/include/match.h	Sun Dec 17 21:01:39 2000
+++ ircd-hybrid-7-bg/iauth/include/match.h	Mon Dec 30 23:07:25 2002
@@ -16,7 +16,7 @@
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- *   $Id: match.h,v 7.1 2000/12/18 02:01:39 cosine Exp $
+ *   $Id: match.h,v 1.1.1.1 2002/12/31 04:07:25 demond Exp $
  */
 #ifndef INCLUDED_match_h
 #define INCLUDED_match_h
diff -uNrd -x CVS ircd-hybrid-7rc5/iauth/include/misc.h ircd-hybrid-7-bg/iauth/include/misc.h
--- ircd-hybrid-7rc5/iauth/include/misc.h	Mon Sep 13 15:16:09 1999
+++ ircd-hybrid-7-bg/iauth/include/misc.h	Mon Dec 30 23:07:25 2002
@@ -15,7 +15,7 @@
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- *   $Id: misc.h,v 7.3 1999/09/13 19:16:09 wnder Exp $
+ *   $Id: misc.h,v 1.1.1.1 2002/12/31 04:07:25 demond Exp $
  */
 
 #ifndef INCLUDED_misc_h
diff -uNrd -x CVS ircd-hybrid-7rc5/iauth/include/mtree.h ircd-hybrid-7-bg/iauth/include/mtree.h
--- ircd-hybrid-7rc5/iauth/include/mtree.h	Sun Jan  9 00:59:10 2000
+++ ircd-hybrid-7-bg/iauth/include/mtree.h	Mon Dec 30 23:07:25 2002
@@ -15,7 +15,7 @@
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- *   $Id: mtree.h,v 7.5 2000/01/09 05:59:10 wnder Exp $
+ *   $Id: mtree.h,v 1.1.1.1 2002/12/31 04:07:25 demond Exp $
  */
 
 #ifndef INCLUDED_mtree_h
diff -uNrd -x CVS ircd-hybrid-7rc5/iauth/include/res.h ircd-hybrid-7-bg/iauth/include/res.h
--- ircd-hybrid-7rc5/iauth/include/res.h	Fri Sep 10 14:14:30 1999
+++ ircd-hybrid-7-bg/iauth/include/res.h	Mon Dec 30 23:07:25 2002
@@ -1,7 +1,7 @@
 /*
  * iauth/res.h (C)opyright 1992 Darren Reed.
  *
- * $Id: res.h,v 7.2 1999/09/10 18:14:30 wnder Exp $
+ * $Id: res.h,v 1.1.1.1 2002/12/31 04:07:25 demond Exp $
  */
 
 #ifndef INCLUDED_res_h
diff -uNrd -x CVS ircd-hybrid-7rc5/iauth/include/sock.h ircd-hybrid-7-bg/iauth/include/sock.h
--- ircd-hybrid-7rc5/iauth/include/sock.h	Tue Jan  4 19:20:03 2000
+++ ircd-hybrid-7-bg/iauth/include/sock.h	Mon Dec 30 23:07:25 2002
@@ -15,7 +15,7 @@
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- *   $Id: sock.h,v 7.4 2000/01/05 00:20:03 wnder Exp $
+ *   $Id: sock.h,v 1.1.1.1 2002/12/31 04:07:25 demond Exp $
  */
 
 #ifndef INCLUDED_sock_h
diff -uNrd -x CVS ircd-hybrid-7rc5/iauth/source/auth.c ircd-hybrid-7-bg/iauth/source/auth.c
--- ircd-hybrid-7rc5/iauth/source/auth.c	Thu Jan 10 15:45:13 2002
+++ ircd-hybrid-7-bg/iauth/source/auth.c	Mon Dec 30 23:07:25 2002
@@ -15,7 +15,7 @@
  *  along with this program; if not, write to the Free Software
  *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- *  $Id: auth.c,v 7.9 2002/01/10 20:45:13 jmallett Exp $
+ *  $Id: auth.c,v 1.1.1.1 2002/12/31 04:07:25 demond Exp $
  */
 
 #include <stdio.h>
diff -uNrd -x CVS ircd-hybrid-7rc5/iauth/source/class.c ircd-hybrid-7-bg/iauth/source/class.c
--- ircd-hybrid-7rc5/iauth/source/class.c	Tue Jan  4 19:20:06 2000
+++ ircd-hybrid-7-bg/iauth/source/class.c	Mon Dec 30 23:07:25 2002
@@ -15,7 +15,7 @@
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- *   $Id: class.c,v 7.2 2000/01/05 00:20:06 wnder Exp $
+ *   $Id: class.c,v 1.1.1.1 2002/12/31 04:07:25 demond Exp $
  */
 
 #include <stdio.h>
diff -uNrd -x CVS ircd-hybrid-7rc5/iauth/source/commands.c ircd-hybrid-7-bg/iauth/source/commands.c
--- ircd-hybrid-7rc5/iauth/source/commands.c	Tue Jan  4 19:20:06 2000
+++ ircd-hybrid-7-bg/iauth/source/commands.c	Mon Dec 30 23:07:25 2002
@@ -15,7 +15,7 @@
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- *   $Id: commands.c,v 7.3 2000/01/05 00:20:06 wnder Exp $
+ *   $Id: commands.c,v 1.1.1.1 2002/12/31 04:07:25 demond Exp $
  */
 
 #include <stdio.h>
diff -uNrd -x CVS ircd-hybrid-7rc5/iauth/source/conf.c ircd-hybrid-7-bg/iauth/source/conf.c
--- ircd-hybrid-7rc5/iauth/source/conf.c	Sat Jan  8 16:38:49 2000
+++ ircd-hybrid-7-bg/iauth/source/conf.c	Mon Dec 30 23:07:25 2002
@@ -15,7 +15,7 @@
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- *   $Id: conf.c,v 7.6 2000/01/08 21:38:49 wnder Exp $
+ *   $Id: conf.c,v 1.1.1.1 2002/12/31 04:07:25 demond Exp $
  */
 
 #include <stdio.h>
diff -uNrd -x CVS ircd-hybrid-7rc5/iauth/source/iauth.c ircd-hybrid-7-bg/iauth/source/iauth.c
--- ircd-hybrid-7rc5/iauth/source/iauth.c	Sat May 26 11:45:37 2001
+++ ircd-hybrid-7-bg/iauth/source/iauth.c	Mon Dec 30 23:07:25 2002
@@ -15,7 +15,7 @@
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- *   $Id: iauth.c,v 7.5 2001/05/26 15:45:37 cosine Exp $
+ *   $Id: iauth.c,v 1.1.1.1 2002/12/31 04:07:25 demond Exp $
  */
 
 #include <stdio.h>
diff -uNrd -x CVS ircd-hybrid-7rc5/iauth/source/log.c ircd-hybrid-7-bg/iauth/source/log.c
--- ircd-hybrid-7rc5/iauth/source/log.c	Sun Dec 17 21:01:40 2000
+++ ircd-hybrid-7-bg/iauth/source/log.c	Mon Dec 30 23:07:25 2002
@@ -15,7 +15,7 @@
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- *   $Id: log.c,v 1.1 2000/12/18 02:01:40 cosine Exp $
+ *   $Id: log.c,v 1.1.1.1 2002/12/31 04:07:25 demond Exp $
  */
 
 #include <stdio.h>
diff -uNrd -x CVS ircd-hybrid-7rc5/iauth/source/match.c ircd-hybrid-7-bg/iauth/source/match.c
--- ircd-hybrid-7rc5/iauth/source/match.c	Sun Dec 17 21:01:40 2000
+++ ircd-hybrid-7-bg/iauth/source/match.c	Mon Dec 30 23:07:25 2002
@@ -22,7 +22,7 @@
  * Cleanup of collapse and match
  * Moved static calls variable to match
  * Added asserts for null pointers
- * $Id: match.c,v 1.1 2000/12/18 02:01:40 cosine Exp $
+ * $Id: match.c,v 1.1.1.1 2002/12/31 04:07:25 demond Exp $
  *
  */
 
diff -uNrd -x CVS ircd-hybrid-7rc5/iauth/source/misc.c ircd-hybrid-7-bg/iauth/source/misc.c
--- ircd-hybrid-7rc5/iauth/source/misc.c	Sun Dec  9 22:15:02 2001
+++ ircd-hybrid-7-bg/iauth/source/misc.c	Mon Dec 30 23:07:25 2002
@@ -15,7 +15,7 @@
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- *   $Id: misc.c,v 7.5 2001/12/10 03:15:02 jdc Exp $
+ *   $Id: misc.c,v 1.1.1.1 2002/12/31 04:07:25 demond Exp $
  */
 
 #include <stdio.h>
diff -uNrd -x CVS ircd-hybrid-7rc5/iauth/source/mtree.c ircd-hybrid-7-bg/iauth/source/mtree.c
--- ircd-hybrid-7rc5/iauth/source/mtree.c	Thu Jan 10 15:45:13 2002
+++ ircd-hybrid-7-bg/iauth/source/mtree.c	Mon Dec 30 23:07:25 2002
@@ -15,7 +15,7 @@
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- *   $Id: mtree.c,v 7.8 2002/01/10 20:45:13 jmallett Exp $
+ *   $Id: mtree.c,v 1.1.1.1 2002/12/31 04:07:25 demond Exp $
  */
 
 /*
diff -uNrd -x CVS ircd-hybrid-7rc5/iauth/source/res.c ircd-hybrid-7-bg/iauth/source/res.c
--- ircd-hybrid-7rc5/iauth/source/res.c	Tue Jan  9 20:00:22 2001
+++ ircd-hybrid-7-bg/iauth/source/res.c	Mon Dec 30 23:07:25 2002
@@ -4,7 +4,7 @@
  * shape or form. The author takes no responsibility for any damage or loss
  * of property which results from the use of this software.
  *
- * $Id: res.c,v 7.4 2001/01/10 01:00:22 toot Exp $
+ * $Id: res.c,v 1.1.1.1 2002/12/31 04:07:25 demond Exp $
  *
  * July 1999 - Rewrote a bunch of stuff here. Change hostent builder code,
  *     added callbacks and reference counting of returned hostents.
